#ifndef NEIGHBOURS_LIST_H
#define NEIGHBOURS_LIST_H

#include <stdlib.h>

#include "point3d.h"
#include "trianglemesh.h"

#define INITIAL_CAPACITY 8
typedef struct {
	int* neighbours;

	int capacity;
	int size;

} Neighbours;

typedef struct {
	Neighbours** neighbours_list;
	int size;
} NeighboursList;

NeighboursList* neighbours_list_create(TriangleMesh* mesh);
Neighbours* neighbours_list_get_neighbours(NeighboursList* nlist, int vertex);

#endif
