#ifndef OBJ_LOADER_H
#define OBJ_LOADER_H

#include "trianglemesh.h"

/* Loads vertexes and triangles from file and parses them into Triangle Mesh
 *
 * filename: Name of .obj file
 *
 * returns: TriangleMesh with filled data */
TriangleMesh* get_trianglemesh_from_file(char* filename);

#endif
