#ifndef SAMPLER_H
#define SAMPLER_H

#include <stdlib.h>

#include "trianglemesh.h"
#include "point3d.h"
#include "hashtable.h"

int sampler_dist_uniform_sampling(Point3D* set, int set_size, int** sampled_set, int* sampled_size, float delta);
void sampler_uniform_sampling_grid(TriangleMesh* mesh, int desired_size, float delta, int** sampled_points, int* sampled_points_size);
void sampler_sample(TriangleMesh* mesh, int desired_size, int** sampled_points, int* sampled_points_size);

#endif
