#ifndef STACK_INT_H
#define STACK_INT_H

#include <stdlib.h>

typedef struct _StackIntNode {
	struct _StackIntNode* prev;
	int element;
} StackIntNode;

typedef struct {
	StackIntNode* top;
	int size;
} StackInt;

StackInt* stack_int_create();

void stack_int_add(StackInt* stack, int element);
int stack_int_pop(StackInt* stack);

#endif
