#ifndef VECTOR_INT_H
#define VECTOR_INT_H

#define VECTOR_INITIAL_SIZE 32

typedef struct {
	int* data;
	int size;

	/* Size of currently allocated buffer 'data',
	 * don't refer to this */
	int _size;

} VectorInt;

VectorInt* vector_int_create();
void vector_int_free(VectorInt** vector);

int vector_int_add(VectorInt* vector, int element);

#endif
