#ifndef METRIC_H
#define METRIC_H

#include <stdlib.h>
#include <math.h>

#include "trianglemesh.h"
#include "transform3d.h"

typedef struct {
	float data[10];
} MetricData;

void metric_data_init(TriangleMesh* mesh, float _triangle_area_sum, float _weighted_object_size, float _object_size, float _rotation_coeff);
float metric_compute(Transform3D c1, Transform3D c2);
float metric_compute_squared(Transform3D c1, Transform3D c2);

#endif
