#ifndef TIME_MEASUREMENT_H
#define TIME_MEASUREMENT_H

#include <time.h>
#include <stdio.h>

clock_t begin, end;

#define MEASURE_TIME(X, Y) begin = clock(); X; end = clock(); printf("%s - %fms\n", Y, (float)(end - begin) * 1000.0 / CLOCKS_PER_SEC);
#define GET_TIME(X, Y) (float)(Y - X) * 1000.0 / CLOCKS_PER_SEC

#endif
