#include "stack_int.h"

StackIntNode* stack_int_create_node(int element) {
	StackIntNode* node = malloc(sizeof(StackIntNode));

	node->element = element;
	node->prev = NULL;

	return node;
}

StackInt* stack_int_create() {
	StackInt* stack = malloc(sizeof(StackInt));

	stack->size = 0;
	stack->top = NULL;

	return stack;
}

void stack_int_add(StackInt* stack, int element) {
	StackIntNode* new_node = stack_int_create_node(element);

	/*TODO: Instead of 'void' return type return int to indicate error

	if(new_node == NULL) { 
	} 

	*/

	if(stack->top == NULL) {
		stack->top = new_node;
		stack->size += 1;
		return;
	}

	new_node->prev = stack->top;
	stack->top = new_node;
	stack->size += 1;
}

int stack_int_pop(StackInt* stack) {
	/* TODO: Check for stack->top == NULL */

	int element = stack->top->element;
	stack->size -= 1;

	StackIntNode* to_be_freed = stack->top;
	stack->top = stack->top->prev;

	free(to_be_freed);

	return element;
}
